export const MAP_CONFIG = {
  DEFAULT_PROVIDER: "OpenStreetMapOrg",
  BASEMAPS: [
    {
      name: "OpenStreetMapOrg",
      maxZoom: 19,
      layer: "//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png",
      subdomains: "abc",
      attribution:
        '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, Tiles style by <a href="https://www.hotosm.org/" target="_blank">Humanitarian OpenStreetMap Team</a> hosted by <a href="https://openstreetmap.fr/" target="_blank">OpenStreetMap France</a>'
    },
    // {
    //   name: "OpenStreetMapFRHot",
    //   maxZoom: 19,
    //   layer: "//{s}.tile.openstreetmap.fr/hot/{z}/{x}/{y}.png",
    //   subdomains: "abc",
    //   attribution:
    //     '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, Tiles style by <a href="https://www.hotosm.org/" target="_blank">Humanitarian OpenStreetMap Team</a> hosted by <a href="https://openstreetmap.fr/" target="_blank">OpenStreetMap France</a>'
    // },
    // {
    //   name: "OpenStreetMapCH",
    //   maxZoom: 18,
    //   layer: "//tile.osm.ch/switzerland/{z}/{x}/{y}.png",
    //   subdomains: "abc",
    //   attribution:
    //     '&copy; <a href="&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors',
    //   bounds: [[45, 5], [48, 11]]
    // },
    // {
    //   name: "OpenStreetMapDE",
    //   maxZoom: 18,
    //   layer: "//{s}.tile.openstreetmap.de/tiles/osmde/{z}/{x}/{y}.png",
    //   subdomains: "abc",
    //   attribution:
    //     '&copy; <a href="&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
    // },
    // {
    //   name: "OpenStreetMapBZH",
    //   maxZoom: 18,
    //   layer: "//tile.openstreetmap.bzh/br/{z}/{x}/{y}.png",
    //   subdomains: "",
    //   attribution:
    //     '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, Tiles courtesy of <a href="http://www.openstreetmap.bzh/" target="_blank">Breton OpenStreetMap Team</a>',
    //   bounds: [[46.2, -5.5], [50, 0.7]]
    // },
    {
      name: "OpenTopoMap",
      maxZoom: 19,
      layer: "//{s}.opentopomap.org/{z}/{x}/{y}.png",
      subdomains: "abc",
      attribution: "© OpenTopoMap"
    },
    {
      name: "Cyclosm - Belgique",
      maxZoom: 19,
      layer: "//{s}.tiles.champs-libres.be/cyclosm/{z}/{x}/{y}.png",
      subdomains: "abc",
      attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors. Map style by Cyclosm. Tiles by Champs-Libres.'
    },
    {
      name: "Imagerie aérienne Wallonie",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/IMAGERIE/ORTHO_LAST/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Plan de secteur",
      minZoom: 12,
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/AMENAGEMENT_TERRITOIRE/PDS/MapServer/WMSServer?",
      layers: '2',
      wms: true,
      attribution: '&copy; SPW'
    },
  ],
  CENTER: [46.52863469527167, 2.43896484375],
  ZOOM_LEVEL: 6,
  ZOOM_LEVEL_RELEVE: 15,
  NEW_OBS_POINTER: "assets/pointer-blue2.png",
  OBS_POINTER: "assets/pointer-green.png",
    LOCATE_CONTROL_TITLE: {
    'fr':'Me localiser',
    'en':'Show me where i am'
  }
}
